Bug 460230 - rsyslog stops logging after system clock rollback
rsyslog stops logging after system clock rollback
Product: Fedora
Classification: Fedora
Component: rsyslog (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Peter Vrabec
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-08-26 17:24 EDT by Ed Swierk
Modified: 2008-09-10 02:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-09-02 05:17:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ed Swierk 2008-08-26 17:24:14 EDT
Setting the system clock backwards causes rsyslog-3.18.1-1.fc9 to stop writing log messages until the clock reaches the former time.  This is a regression from sysklogd-1.4.1-41.fc6.

To reproduce this issue:

1. Disable ntpd
2. Run 'tailf /var/log/messages' in a shell
3. In another shell, run 'logger hello1' to verify that rsyslog is working
4. Run 'date -s 1 hour ago' to roll the clock back 1 hour
5. Run 'logger hello2' and notice that nothing appears in /var/log/messages
6. Run 'date -s 1 hour' to roll the clock forward 1 hour
7. Run 'logger hello3' to verify that rsyslog is working again
Comment 1 Fedora Update System 2008-08-28 06:41:02 EDT
rsyslog-3.18.1-2.fc9 has been submitted as an update for Fedora 9.
Comment 2 Peter Vrabec 2008-09-02 05:17:59 EDT
Feel free to reopen this bug, if rsyslog-3.18.1-2 doesn't fix this issue.
Comment 3 Fedora Update System 2008-09-10 02:56:24 EDT
rsyslog-3.18.1-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.